/totals
Get summary metrics on all postings matching the filters.
POST /totals
POST /totalsQuery Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Default: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
area_version | enum | Specify area taxonomy version to use. Must be one of: |
area_laa_version | enum | Specify LAA area taxonomy version to use. This parameter is optional. Default: 2Must be one of: 1, 2 |
dataset | enum | Specify dataset to query. Default: Must be one of: |
Request Body
{
"filter": {
"when": {
"start": "2019-03",
"end": "2019-06"
},
"skills": [
"KS123X777H5WFNXQ6BPM"
]
},
"metrics": [
"unique_postings",
"median_posting_duration"
]
}
Code Examples
curl --request POST \
--url https://api.lightcast.io/global-postings/totals \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "when": { "start": "2019-03", "end": "2019-06" }, "skills": [ "KS123X777H5WFNXQ6BPM" ] }, "metrics": [ "unique_postings", "median_posting_duration" ] }'Response Examples
{
"data": {
"totals": {
"median_posting_duration": null,
"unique_postings": 17
}
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// Your request wasn't unauthorized.
{
"errors": [
{
"status": 401,
"title": "Unauthorized Request",
"detail": "You are not authorized to access this resource."
}
]
}// Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}
